%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME desktop calculator
Name:		gcalctool
Version:	6.6.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://calctool.sourceforge.net/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.10
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.7
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	libxslt-proc
BuildRequires:	intltool >= 0.35.0
BuildRequires:	desktop-file-utils
Conflicts:	gnome-utils < 2.3.3

%description
gcalctool is a desktop calculator.
It has Basic, Financial and Scientific modes. Internally it uses multiple
precision arithmetic to produce results to a high degree of accuracy.

%prep
%setup -q

%build
%configure2_5x --with-gtk=3.0
%make

%install
%makeinstall_std

%find_lang %{name} --with-help

desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%doc README NEWS AUTHORS 
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.gcalctool.gschema.xml


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 6.6.2-2.mga3
+ Revision: 351090
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 6.6.2-1.mga3
+ Revision: 317477
- new version 6.6.2

* Sun Oct 14 2012 ovitters <ovitters> 6.6.1-1.mga3
+ Revision: 305566
- new version 6.6.1

* Tue Sep 25 2012 ovitters <ovitters> 6.6.0-1.mga3
+ Revision: 297395
- new version 6.6.0

* Mon Sep 17 2012 ovitters <ovitters> 6.5.92-1.mga3
+ Revision: 295274
- new version 6.5.92

* Tue Sep 04 2012 ovitters <ovitters> 6.5.91-1.mga3
+ Revision: 287823
- new version 6.5.91

* Tue Aug 21 2012 ovitters <ovitters> 6.5.90.1-1.mga3
+ Revision: 283010
- new version 6.5.90.1

* Tue Jul 03 2012 ovitters <ovitters> 6.5.3-1.mga3
+ Revision: 266856
- new version 6.5.3

* Wed Jun 27 2012 ovitters <ovitters> 6.5.1-1.mga3
+ Revision: 264501
- new version 6.5.1

* Tue May 15 2012 ovitters <ovitters> 6.4.2.1-1.mga3
+ Revision: 235703
- new version 6.4.2.1

* Tue Apr 17 2012 ovitters <ovitters> 6.4.1.1-1.mga2
+ Revision: 231170
- new version 6.4.1.1

* Tue Mar 27 2012 ovitters <ovitters> 6.4.0-1.mga2
+ Revision: 227002
- new version 6.4.0

* Thu Mar 22 2012 ovitters <ovitters> 6.3.92.1-1.mga2
+ Revision: 225634
- new version 6.3.92.1
- new version 6.3.92

* Tue Feb 07 2012 fwang <fwang> 6.3.5-1.mga2
+ Revision: 205819
- add br
- new version 6.3.5

* Tue Jan 17 2012 wally <wally> 6.3.4-1.mga2
+ Revision: 197408
- new version 6.3.4
- clean .spec a bit

* Tue Sep 27 2011 ovitters <ovitters> 6.2.0-1.mga2
+ Revision: 149164
- new version 6.2.0

  + fwang <fwang>
    - fix desktop file
    - new version 6.1.5

* Sun Jul 10 2011 fwang <fwang> 6.1.3-1.mga2
+ Revision: 121783
- new version 6.1.3

* Wed Jun 29 2011 fwang <fwang> 6.0.2-2.mga2
+ Revision: 115613
- build gtk3 flavour

* Thu Jun 16 2011 dams <dams> 6.0.2-1.mga2
+ Revision: 108034
- clean spec file and update to 6.0.2

* Sun Feb 20 2011 wally <wally> 5.32.2-2.mga1
+ Revision: 54536
- drop buildroot definition
- clean .spec a bit
- imported package gcalctool

